package ludumdare19.gamestate
{
    import flash.events.Event;
    import flash.events.MouseEvent;
    import stego.constants.Colors;
    import stego.GameInterface;
    import stego.GameState;
    import stego.ui.TextField;
    import stego.util.GuiBuilder;
    import stego.util.scene.GameObjectHolder;

    /**
     * ...
     * @author Mike Meyer
     */
    public class Victory extends GameState
    {
        [Embed(source = '../../../assets/tuffy/Tuffy.ttf', fontName = "Tuffy")]
        private static const _tuffyFont:Class;
        public static const TuffyFont:String = "Tuffy";

        [Embed(source = '../../../assets/tuffy/Tuffy_Bold.ttf', fontName = "TuffyBold", fontWeight="bold")]
        private static const _tuffyFontBold:Class;
        public static const TuffyBoldFont:String = "TuffyBold";

        protected var _guiLayer:GameObjectHolder;
        protected var _clickToStart:TextField;
        protected static const FONT_COLOR_A:uint = Colors.WHITE_ENOUGH;
        protected static const FONT_COLOR_B:uint = 0x333333;

        /**
         * create scene
         */
        public override function begin(game:GameInterface):void
        {
            super.begin(game);

            _guiLayer = game.layers.addLayer();

            var builder:GuiBuilder = new GuiBuilder(game.stageRect, _guiLayer);
            builder.font = TuffyBoldFont;
            builder.fontColor = Colors.WHITE_ENOUGH;
            builder.highlightColor = Colors.WHITE;
            builder.fontSize = 144;
            builder.addTextCentered("YOU WIN!", 0.5, 0.5);
            builder.fontSize = 24;
            builder.font = TuffyFont;
            _clickToStart = builder.addTextCentered("click to play again", 0.75, 0.6);

            game.stage.addEventListener(MouseEvent.CLICK, startGame);

            scheduler.callEvery(0.5, blinkText);
        }

        private function blinkText():void
        {
            _clickToStart.fontColor = (_clickToStart.fontColor == FONT_COLOR_A)?FONT_COLOR_B:FONT_COLOR_A;
        }

        /**
         *
         */
        override public function end():void
        {
            game.layers.remove(_guiLayer);
            game.stage.removeEventListener(MouseEvent.CLICK, startGame);
            _clickToStart = null;
            super.end();
        }

        /**
         *
         */
        public function startGame(e:MouseEvent = null):void
        {
            game.changeGameState(new Playing());
        }
    }
}
