package ludumdare19.rooms
{
    import stego.util.ObjectPool;

    /**
     * helper class for keeping track of tileset info
     */
    public class TileSet
    {
        /** first valid tile id for this tileset */
        public var firstgid:int;
        /** name given to this tileset */
        public var name:String;
        /** width of each tile */
        public var tilewidth:uint;
        /** height of each tile */
        public var tileheight:uint;

        /**
         * array of userdata set up in the tileset,
         * indexed by tile index it goes with
         */
        public var userdata:Array;

        /**
         * make a tileset from XML
         * use ObjectPool.returnObject(TileSet, ts); when done with it
         */
        public static function fromXML(tilesetXML:XML):TileSet
        {
            var ts:TileSet = ObjectPool.getObject(TileSet);
            ts.firstgid = tilesetXML.@firstgid;
            ts.name = tilesetXML.@name;
            ts.tilewidth = tilesetXML.@tilewidth;
            ts.tileheight = tilesetXML.@tileheight;
            ts.userdata = [];

            for each (var tile:XML in tilesetXML.tile)
            {
                for each (var property:XML in tile.properties.property.(@name == "userdata"))
                {
                    ts.userdata[uint(tile.@id)] = property.@value.toString().toLowerCase();
                }
            }

            return ts;
        }
    }

}