package __PACKAGENAME__.sample
{
    import __PACKAGENAME__.sample.SamplePlatform;
    import __PACKAGENAME__.sample.SamplePlayer;
    import stego.GameInterface;
    import stego.GameObject;
    import stego.GameState;
    import stego.util.scene.GameObjectHolder;

    /**
     * ...
     * @author Mike Meyer
     */
    public class SampleGameState extends GameState
    {
        /** layer to put the platforms on */
        protected var _platformLayer:GameObjectHolder;
        /** layer to put the player on */
        protected var _playerLayer:GameObjectHolder;

        /**
         * create scene
         */
        public override function begin(game:GameInterface):void
        {
            super.begin(game);

            _platformLayer = game.layers.addLayer();
            _playerLayer = game.layers.addLayer();
            game.physics.addCollisionPair(_playerLayer, _platformLayer);

            var w:Number = game.stageWidth;
            var h:Number = game.stageHeight;


            // left wall
            addPlatform( 0.10 * w, 0.1 * h, 0.05 * w, 0.8 * h );

            // right wall
            addPlatform( 0.85 * w, 0.1 * h, 0.05 * w, 0.8 * h );

            // floor
            addPlatform( 0.10 * w, 0.9 * h, 0.80 * w, 0.05 * h );

            // player
            var player:GameObject = _playerLayer.add(SamplePlayer);
            player.x = 0.50 * w;
            player.y = 0.50 * h;
        }

        private function addPlatform(x:Number, y:Number, width:Number, height:Number):void
        {
            var p:GameObject = _platformLayer.add(SamplePlatform);
            p.x = x;
            p.y = y;
            p.width = width;
            p.height = height;
        }
    }

}
