package __PACKAGENAME__.sample
{
    import flash.display.Sprite;
    import stego.behavior.platformer.Jump;
    import stego.behavior.platformer.Run;
    import stego.GameInterface;
    import stego.constants.Colors;
    import stego.GameObject;
    import stego.util.InputUtil;
    import stego.gameobject.PlatformerCharacter;

    public class SamplePlayer extends PlatformerCharacter
    {
        /** whether we have already created the graphics for this guy */
        protected var _hasGraphics:Boolean = false;

        /** behavior class for the running */
        protected var _runBehavior:Run;
        /** behvior class for the jumping */
        protected var _jumpBehavior:Jump;

        public override function init(game:GameInterface):void
        {
            super.init(game);

            createGraphics();
            createBehaviors(game.inputUtil);
            restart();
        }

        protected function createGraphics():void
        {
            if (!_hasGraphics)
            {
                graphics.beginFill( Colors.DESAT_GREEN );
                graphics.drawRect( -10, -10, 20, 20 );
                graphics.endFill();
            }
        }

        /**
         * add behaviors to this object
         */
        protected function createBehaviors(inputUtil:InputUtil):void
        {
            if (!_runBehavior)
            {
                _runBehavior = new Run(this, inputUtil);
                addBehavior(_runBehavior);
            }
            if (!_jumpBehavior)
            {
                _jumpBehavior = new Jump(this, inputUtil);
                addBehavior(_jumpBehavior);
            }
        }
    }
}
