// quick hack for syntax checking everything.  Run generate_syntax_check_code.py to regenerate.' )

package stego
{
    import stego.behavior.Base;
    import stego.behavior.IBehavior;
    import stego.behavior.platformer.Jump;
    import stego.behavior.platformer.Run;
    import stego.collections.LinkedList;
    import stego.collections.LinkedListNode;
    import stego.constants.Colors;
    import stego.constants.Keyboard;
    import stego.debug.DebugWidget;
    import stego.debug.FpsCounter;
    import stego.debug.Profiler;
    import stego.debug.ProfilerSection;
    import stego.Game;
    import stego.GameInterface;
    import stego.gameobject.CanvasGameObject;
    import stego.gameobject.PlatformerCharacter;
    import stego.gameobject.TileMap;
    import stego.GameObject;
    import stego.GameState;
    import stego.GameStateInterface;
    import stego.IncludeEverything;
    import stego.Preloader;
    import stego.script.step.animate.AnimationValues;
    import stego.script.step.Animate;
    import stego.script.step.AnimateTo;
    import stego.script.step.Condition;
    import stego.script.step.CreateGameObjectFromBitmap;
    import stego.script.step.Loop;
    import stego.script.step.LoopUntil;
    import stego.script.step.LoopWhile;
    import stego.script.step.Parallel;
    import stego.script.step.PlaySound;
    import stego.script.step.RunFunc;
    import stego.script.step.SpawnGameObject;
    import stego.script.step.Wait;
    import stego.script.step.WaitTime;
    import stego.script.Step;
    import stego.ui.DisappearingText;
    import stego.ui.Fader;
    import stego.ui.GraphicButton;
    import stego.ui.InputText;
    import stego.ui.MusicCredits;
    import stego.ui.PauseScreen;
    import stego.ui.PulsingGraphic;
    import stego.ui.PulsingGraphicButton;
    import stego.ui.PulsingText;
    import stego.ui.PulsingTextButton;
    import stego.ui.Slider;
    import stego.ui.TextButton;
    import stego.ui.TextField;
    import stego.util.ArrayUtil;
    import stego.util.CheatUtil;
    import stego.util.collision.CollisionInfo;
    import stego.util.collision.CollisionUtil;
    import stego.util.collision.HitBox;
    import stego.util.Easing;
    import stego.util.graphics.AnimatedSpriteSheet;
    import stego.util.graphics.Canvas;
    import stego.util.graphics.SpriteSheet;
    import stego.util.GraphicsUtil;
    import stego.util.GuiBuilder;
    import stego.util.InputUtil;
    import stego.util.MathUtil;
    import stego.util.music.MusicEvent;
    import stego.util.music.MusicUtil;
    import stego.util.music.Song;
    import stego.util.ObjectPool;
    import stego.util.PerspectiveUtil;
    import stego.util.PhysicsUtil;
    import stego.util.scene.GameObjectHolder;
    import stego.util.scene.Scene;
    import stego.util.schedule.CountdownScheduleItem;
    import stego.util.schedule.IScheduleItem;
    import stego.util.schedule.Schedule;
    import stego.util.schedule.ScheduleItem;
    import stego.util.schedule.ScriptScheduleItem;
    import stego.util.ScriptBuilder;
    import stego.util.Sounds;
    import stego.util.spriteanim.SpriteAnim;
    import stego.util.spriteanim.SpriteAnimUtil;
    import stego.util.StringUtil;
    import stego.util.TimeUtil;
    public class IncludeEverything
    {
        private static function _include_everything():void
        {
            var _classes:Array = [
                stego.behavior.Base,
                stego.behavior.IBehavior,
                stego.behavior.platformer.Jump,
                stego.behavior.platformer.Run,
                stego.collections.LinkedList,
                stego.collections.LinkedListNode,
                stego.constants.Colors,
                stego.constants.Keyboard,
                stego.debug.DebugWidget,
                stego.debug.FpsCounter,
                stego.debug.Profiler,
                stego.debug.ProfilerSection,
                stego.Game,
                stego.GameInterface,
                stego.gameobject.CanvasGameObject,
                stego.gameobject.PlatformerCharacter,
                stego.gameobject.TileMap,
                stego.GameObject,
                stego.GameState,
                stego.GameStateInterface,
                stego.IncludeEverything,
                stego.Preloader,
                stego.script.step.animate.AnimationValues,
                stego.script.step.Animate,
                stego.script.step.AnimateTo,
                stego.script.step.Condition,
                stego.script.step.CreateGameObjectFromBitmap,
                stego.script.step.Loop,
                stego.script.step.LoopUntil,
                stego.script.step.LoopWhile,
                stego.script.step.Parallel,
                stego.script.step.PlaySound,
                stego.script.step.RunFunc,
                stego.script.step.SpawnGameObject,
                stego.script.step.Wait,
                stego.script.step.WaitTime,
                stego.script.Step,
                stego.ui.DisappearingText,
                stego.ui.Fader,
                stego.ui.GraphicButton,
                stego.ui.InputText,
                stego.ui.MusicCredits,
                stego.ui.PauseScreen,
                stego.ui.PulsingGraphic,
                stego.ui.PulsingGraphicButton,
                stego.ui.PulsingText,
                stego.ui.PulsingTextButton,
                stego.ui.Slider,
                stego.ui.TextButton,
                stego.ui.TextField,
                stego.util.ArrayUtil,
                stego.util.CheatUtil,
                stego.util.collision.CollisionInfo,
                stego.util.collision.CollisionUtil,
                stego.util.collision.HitBox,
                stego.util.Easing,
                stego.util.graphics.AnimatedSpriteSheet,
                stego.util.graphics.Canvas,
                stego.util.graphics.SpriteSheet,
                stego.util.GraphicsUtil,
                stego.util.GuiBuilder,
                stego.util.InputUtil,
                stego.util.MathUtil,
                stego.util.music.MusicEvent,
                stego.util.music.MusicUtil,
                stego.util.music.Song,
                stego.util.ObjectPool,
                stego.util.PerspectiveUtil,
                stego.util.PhysicsUtil,
                stego.util.scene.GameObjectHolder,
                stego.util.scene.Scene,
                stego.util.schedule.CountdownScheduleItem,
                stego.util.schedule.IScheduleItem,
                stego.util.schedule.Schedule,
                stego.util.schedule.ScheduleItem,
                stego.util.schedule.ScriptScheduleItem,
                stego.util.ScriptBuilder,
                stego.util.Sounds,
                stego.util.spriteanim.SpriteAnim,
                stego.util.spriteanim.SpriteAnimUtil,
                stego.util.StringUtil,
                stego.util.TimeUtil ];
        }
    }
}
