﻿package stego.script.step
{
    import flash.display.Bitmap;
    import stego.GameObject;
    import stego.util.scene.GameObjectHolder;
    import stego.script.Step;

    /**
     * Step to create a game object from an image
     * @author Mike Meyer
     */
    public class CreateGameObjectFromBitmap extends Step
    {
        private var _bitmapClass:Class;
        private var _layer:GameObjectHolder;
        private var _x:Number;
        private var _y:Number;

        public function CreateGameObjectFromBitmap(layer:GameObjectHolder, bitmapClass:Class, centerX:Number, centerY:Number)
        {
            _bitmapClass = bitmapClass;
            _layer = layer;
            _x = centerX;
            _y = centerY;
        }

        public override function execute(timeDelta:Number):Boolean
        {
            var go:GameObject = new GameObject();
            var gfx:Bitmap = new _bitmapClass();
            go.addChild(gfx);
            gfx.x = -0.5 * gfx.width;
            gfx.y = -0.5 * gfx.height;
            _layer.addPremade(go);
            go.x = _x;
            go.y = _y;

            return true;
        }
    }

}
