﻿package stego.script.step
{
    import stego.script.Step;

    /**
     * Step to just make it wait for some amount of time
     * @author Mike Meyer
     */
    public class WaitTime extends Step
    {
        private var duration:Number;
        private var countDown:Number;

        public function WaitTime(secondsToWait:Number=1.0)
        {
            duration = secondsToWait;
            countDown = secondsToWait;
        }

        public override function execute(timeDelta:Number):Boolean
        {
            countDown -= timeDelta;

            return (countDown <= 0);
        }

        /**
         * Go back to the beginning
         */
        public override function restart():void
        {
            countDown = duration;
        }
    }

}
