package stego.util
{
	/**
     * ...
     * @author Mike Meyer
     */
    public class Easing
    {
        /** linear */
        public static function linear(t:Number):Number
        {
            return t;
        }
        /** quadratic ease in */
        public static function quadIn(t:Number):Number
        {
            return t * t;
        }
        /** quadratic ease out */
        public static function quadOut(t:Number):Number
        {
            return - t * (t - 2);
        }
        /** quadratic ease in and out */
        public static function quadInOut(t:Number):Number
        {
            return (t < 0.5) ? (2 * t * t) : (2 * t * (2-t)) - 1;
        }

        /** go backwards, then shoot forward */
        public static function overshootIn(t:Number):Number
        {
            return 2 * t * (t - 0.5);
        }
        /** go forward too far, then come back */
        public static function overshootOut(t:Number):Number
        {
            return -2 * t * (t - 1.5);
        }
        /** go backwards, then shoot forward too far, then come back */
        public static function overshootInOut(t:Number):Number
        {
            return t * ( (-9 * t * t) + (13.5 * t) - 3.5 );
        }
    }

}
