﻿package stego.util.collision
{
    import flash.geom.Point;

    /**
     * Struct used to represent the important information about a collision
     * once one has been detected
     * @author Mike Meyer
     */
    public class CollisionInfo
    {
        /**
         * where the collision occurred
         */
        public var location:Point;

        /**
         * Normal (pointing toward the first object)
         */
        public var normal:Point;

        /**
         * percentage of the movement that it got through before
         * collision [0,1]
         */
        public var t:Number;

        /**
         * the first object's hitbox
         */
        public var hitbox1:HitBox;

        /**
         * the second object's hitbox
         */
        public var hitbox2:HitBox;

        public function CollisionInfo(location:Point=null, normal:Point=null, t:Number=0, hitbox1:HitBox=null, hitbox2:HitBox=null)
        {
            this.location = location;
            this.normal = normal;
            this.t = t;

            if (null == this.normal)
            {
                this.normal = new Point();
            }
            if (null == this.location)
            {
                this.location = new Point();
            }
        }
    }

}
