﻿package stego.util.schedule
{
    import stego.script.Step;

    /**
     * ...
     * @author Mike Meyer
     */
    public class ScriptScheduleItem implements IScheduleItem
    {
        /**
         *
         */
        public function get callback():Function { return null; }

        /**
         * script to run
         */
        private var step:Step;

        /**
         * Will this schedule item ever run again?
         */
        public function get isDone():Boolean { return _isDone; }
        private var _isDone:Boolean = false;

        /**
         * constructor
         * @param	step - script step to run
         */
        public function ScriptScheduleItem(step:Step)
        {
            this.step = step;
            this._isDone = false;
            step.restart();
        }

        /**
         * tick the countdown, call the callback if it is time for it
         * @param	elapsedTime - how much time has elapsed since the last
         * call to Update
         */
        public function update(elapsedTime:Number):void
        {
            if (!isDone)
            {
                _isDone = step.execute(elapsedTime);
            }
        }
    }
}
